WooCommerce 3.2 to Introduce Pre-Update Extension Version Checks, Release Date Pushed Back to October 11

WooCommerce 3.2 RC1 is coming next week ahead of the plugin’s second major release this year. Version 3.1 introduced a new built-in product importer/exporter that supports CSV files and brought significant improvements to extension management. Version 3.2 is on track to make the process of updating stores a smoother experience with a long-awaited new feature that displays version compatibility checks to users prior to updating their extensions.

Many WooCommerce store owners experienced considerable difficulties in updating to version 3.0 due to incompatibilities with extensions that were not fully compatible. The widespread problems with updating caused a direct hit to the plugin’s reputation, even though the main issue was with third-party extensions not being ready to go for 3.0. WooCommerce 3.2’s new pre-update extension version checks will help users to be more informed about the status of extension compatibility before updating.

WooCommerce plugin developers can now add two new headers to their extensions to specify a minimum required version and a “tested up to” version.

/*
* Plugin Name: WooCommerce Barter Gateway
* Plugin URI: https://wordpress.org/plugins/woocommerce-gateway-barter/
* Description: Take payments by bartering crops and livestock.
* Author: WooCommerce
* Author URI: https://woocommerce.com/
* Version: 3.0.7
* Text Domain: woocommerce-gateway-barter
* Domain Path: /languages
* WC requires at least: 3.0.0
* WC tested up to: 3.2.0
*/

Plugin authors are recommended to update these headers after each major and minor WooCommerce release. (Patch releases do not require headers to be updated.)

The core WooCommerce plugin will check through the extension headers and display a warning to users when updates are available, detailing which plugins have or haven’t been tested with the latest major version.

WooCommerce developer Claudiu Lodromanean cited several important benefits for extension developers in a post announcing the new feature:

  • You will have to field fewer complaints from users that the new WooCommerce version broke your plugin. They will have clear warnings about the dangers of upgrading when the plugin is incompatible. This should reduce your support load when new versions of WooCommerce are released.
  • You will not have to rush updates to your plugin. If a user upgrades WooCommerce and your plugin breaks you are under a lot of pressure to release an update fast. If the user waits until a compatible version of the plugin is released before updating WooCommerce you do not have this problem.
  • Users will trust your plugin more. By adding the header you are letting the user know that the plugin has been tested, works with their version of WooCommerce, and is actively maintained to be compatible with WooCommerce.

The pre-update version checks for extensions is an exciting improvement for store owners and the greater WooCommerce developer community. Updates will be much easier when users can see at a glance which of their extensions are ready to go. Developers are also interested in seeing this feature applied for themes and the WooCommerce team confirmed they will look into the possibility.

WooCommerce 3.2’s release date has been pushed back one week to October 11 to give store owners and extension developers enough time to test. The first release candidate is slated for September 27.